﻿:root {
    --gcid-primary-color: #043ea7;
    --gcid-secondary-color: var(--gcid-body-color);
    --gcid-heading-color: var(--gcid-body-color);
    --gcid-body-color: #181818;
    --gcid-link-color: var(--gcid-primary-color);
}

a, abbr, acronym, address, applet, b, big, blockquote, body, center, cite, code, dd, del, dfn, div, dl, dt, em, fieldset, font, form, h1, h2, h3, h4, h5, h6, html, i, iframe, img, ins, kbd, label, legend, li, object, ol, p, pre, q, s, samp, small, span, strike, strong, sub, sup, tt, u, ul, var {
    /*margin: 0;*/
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    vertical-align: baseline;
    background: transparent;
}

.h1, h2, h3, h4, .h5, h6 {
    font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif;
    font-weight: 600;
    font-size: 38px;
    line-height: 1.3em;
    -webkit-text-stroke-color: var(--gcid-primary-color);
    margin-bottom: 0px;
    margin-top: 0px;
    padding-bottom: 12px;
    padding-top: 10px;
}

p {
    font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif;
    font-weight: 400;
    font-size: 18px;
    margin-top: 0px;
    margin-bottom: 0px;
    padding-bottom: 1em;
}

    p a, p a:hover {
        text-decoration-line: underline;
        text-decoration-style: solid;
    }

.forms {
    display: flex;
    flex-direction: column;
    gap: 15px;
    font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif !important;
}

:focus {
    outline: 0;
}

a {
    color: var(--gcid-link-color, var(--gcid-primary-color));
}

    a, a:hover {
        text-decoration: none;
    }

.inputs-forms {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

    .inputs-forms label {
        font-size: 17px;
        font-weight: 400;
        font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif !important;
    }

    .inputs-forms input, .inputs-forms select {
        padding: 8px;
        border-radius: 0.375rem;
        font-size: 15px;
        border: 1px solid hsl(0deg 0% 0% / 20%) !important;
        color: black;
        opacity: 1;
        font-weight: 400;
        font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif !important;
    }

        .inputs-forms input.input-error, inputs-forms select.input-error,
        .inputs-forms .password-wrapper input.input-error {
            border: 1px solid #dc3545 !important;
        }

.btn-form {
    margin-top: 10px;
    margin-bottom: 10px;
}

.forms .btn-form {
    background: var(--gcid-primary-color);
    border: 0;
    padding: 10px 20px;
    border-radius: 0.375rem;
    font-size: 18px;
    color: white;
    font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif;
    /* margin-top: 10px; */
    text-align: center;
    cursor: pointer;
}

    .forms .btn-form:hover:not(:disabled),
    .forms .btn-form:hover:not([disabled]) {
        background: #00163f;
    }

    .forms .btn-form:disabled,
    .forms .btn-form[disabled] {
        cursor: not-allowed;
        opacity: 0.7;
    }

.link_inner {
    --horizontal-gap: 10px;
    --vertical-gap: 10px;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    display: flex;
    text-align: center;
    font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif;
    font-weight: 400;
    text-decoration-line: underline;
    text-decoration-style: solid;
    color: #939393;
    text-align: center;
}

.text_inner {
    font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif;
    font-weight: 400;
    color: rgba(34, 38, 42, 0.7) !important;
    font-size: 14px;
    line-height: 1.3em;
}

    .text_inner a {
        text-decoration-line: underline;
        text-decoration-style: solid;
        color: hsl(from var(--gcid-primary-color) calc(h + 0) calc(s + 0) calc(l + 0) / 0.8);
    }

.fields_error {
    color: red;
    font-size: 14px;
}

.password-wrapper {
    position: relative;
    width: 100%;
    display: flex;
}

    .password-wrapper input {
        width: 100%;
        padding-right: 40px;
        box-sizing: border-box;
    }

.toggle-password {
    position: absolute;
    top: 50%;
    right: 12px;
    transform: translateY(-50%);
    cursor: pointer;
    color: #777;
}

    .toggle-password:hover {
        color: #000;
    }

.bnt-out-form {
    background-color: transparent;
    font-family: 'Inter', Helvetica, Arial, Lucida, sans-serif;
    color: var(--gcid-link-color) !important;
    font-size: 17px !important;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    transition-property: background-color, border-color, color;
    transition-duration: 300ms;
    transition-timing-function: ease;
    transition-delay: 0ms;
    margin-bottom: 0;
    max-width: max-content;
    padding: .3em 1em !important;
    border-color: #043ea7;
    display: inline-block;
    --flex-direction: column;
    --horizontal-gap: var(--module-gutter);
    --vertical-gap: var(--module-gutter);
    animation-timing-function: linear;
    animation-duration: .2s;
    position: relative;
    background-size: cover;
    background-position: 50%;
    background-repeat: no-repeat;
    font-weight: 400;
    line-height: 1.7em !important;
    border: 2px solid;
    transition-property: all !important;
    cursor: pointer;
    text-decoration: none;
}

    .bnt-out-form:hover {
        background-color: rgba(0, 0, 0, 0.05);
        color: var(--gcid-secondary-color) !important;
        border-color: var(--gcid-secondary-color);
    }


